Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-current.git;a=commitdiff;h=cd693487dfb98fd651c451361c2d3bfeb4d2eb99

commit cd693487dfb98fd651c451361c2d3bfeb4d2eb99
Author: Devil505 <devil505li...@gmail.com>
Date:   Tue Aug 23 16:07:33 2011 +0200

xfce4-session-4.8.1-4-i686
* added patch for GDM

diff --git a/source/xfce4/xfce4-session/FrugalBuild 
b/source/xfce4/xfce4-session/FrugalBuild
index 7243f3a..a5ffb15 100644
--- a/source/xfce4/xfce4-session/FrugalBuild
+++ b/source/xfce4/xfce4-session/FrugalBuild
@@ -4,7 +4,7 @@

pkgname=xfce4-session
pkgver=4.8.1
-pkgrel=3
+pkgrel=4
pkgdesc="A session manager for Xfce4."
url="http://www.xfce.org/";
depends=('libsm>=1.1.0' 'libxfce4ui>=4.8.0' 'libxfce4util>=4.8.1' 
'xfce4-panel>=4.8.0' \
@@ -22,6 +22,7 @@ Finclude xfce4
#source=(${source[@]} xfce4-session xfce4.desktop)
## bug fix release
source=(http://archive.xfce.org/src/xfce/$pkgname/4.8/$_F_archive_name-$pkgver.tar.bz2
 \
+        gdm.patch \
xfce4-session xfce4.desktop \
org.freedesktop.consolekit.pkla \
org.freedesktop.upower.pkla)
@@ -35,6 +36,7 @@ Fconfopts="$Fconfopts         --disable-hal \
--enable-polkit \
--enable-panel-plugin"
sha1sums=('a33534e53fa36a38a1f9bd164469a9fb62c765a7' \
+          'e732823ce9f94d5e10b73bfc2f302d9eac94811a' \
'd99d32e3dfb82ace51fd0ca6699b57078ad350fd' \
'b0ed29953027f8b61e63da0104099d0f1a81b04e' \
'8173d8883a582fc08a9948d8807568467fad0afa' \
diff --git a/source/xfce4/xfce4-session/gdm.patch 
b/source/xfce4/xfce4-session/gdm.patch
new file mode 100644
index 0000000..e89e6a0
--- /dev/null
+++ b/source/xfce4/xfce4-session/gdm.patch
@@ -0,0 +1,21 @@
+From 3bba8eb773a96339fb841c76b04f2d4fd3317814 Mon Sep 17 00:00:00 2001
+From: Panu Matilainen <pmati...@laiskiainen.org>
+Date: Wed, 23 Mar 2011 21:13:40 +0000
+Subject: Fix GDM_LANG usage to be compatible with GDM3 (bug #7400).
+
+---
+diff --git a/xfce4-session/main.c b/xfce4-session/main.c
+index ff6e324..fcf69f8 100644
+--- a/xfce4-session/main.c
++++ b/xfce4-session/main.c
+@@ -103,7 +103,7 @@ setup_environment (void)
+
+   /* this is for compatibility with the GNOME Display Manager */
+   lang = g_getenv ("GDM_LANG");
+-  if (lang != NULL)
++  if (lang != NULL && strlen (lang) > 0)
+     {
+       xfce_setenv ("LANG", lang, TRUE);
+       xfce_unsetenv ("GDM_LANG");
+--
+cgit
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to